Subject: Re: [Btrfs-devel] btrfs and git-reflog

From: Chris Mason <[email-masked]>
Date: Fri, 25 Jan 2008 10:01:23 -0500

On Friday 25 January 2008, Paul Collins wrote:
> I was just playing with git 1.5.3.8 and btrfs 0.11, and I noticed
> something odd.
>
> If I prepare a very simple repository:
>
>   $ mkdir foo
>   $ cd foo
>   $ git init
>   Initialized empty Git repository in .git/
>   $ echo hi > blort
>   $ git add .
>   $ git commit -m create
>   Created initial commit 4ae9415: create
>    1 files changed, 1 insertions(+), 0 deletions(-)
>    create mode 100644 blort
>
> and then attempt to expire the reflogs
>
>   $ git-reflog --expire --all
>
> on ext3, git-reflog completes its work and exits immediately;

Strange, but I can reproduce here.  I'll take a look, thanks for this report.

-chris